com.threerings.whirled.util

## Class NoSuchSceneException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.threerings.whirled.util.NoSuchSceneException

All Implemented Interfaces:
  Serializable

    public class NoSuchSceneException
    extends Exception

Thrown when an attempt to load a non-existent scene is made on the repository.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchSceneException(int sceneId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getSceneId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchSceneException

    public NoSuchSceneException(int sceneId)

### Method Detail

#### getSceneId

    public int getSceneId()